Start a new topic

Titanium module 6.0.0 wont build

Hi,


I am trying your newest Titanium Module 6.0.0 on android

It wont build:

[2017-02-19 14:34:20 - Alpi Maps] The library 'wikitudesdk_32bit.jar' contains native libraries that will not run on the device.

[2017-02-19 14:34:20 - Alpi Maps] Additionally some of those libraries will interfer with the installation of the application because of their location in lib/

[2017-02-19 14:34:20 - Alpi Maps] lib/ is reserved for NDK libraries.

[2017-02-19 14:34:20 - Alpi Maps] The following libraries were found:

[2017-02-19 14:34:20 - Alpi Maps] - lib/armeabi-v7a/libarchitect.so

[2017-02-19 14:34:20 - Alpi Maps] - lib/x86/libarchitect.so


You actually changed the architect lib path from 5.3.1. Before it was in libs which is the right path to put native libs.

Now if i try to rename "lib" to "libs" within wikitudesdk_32bit.jar, Then the app crashes because it cant load libarchitect.so because wikitudesdk_32bit.jar looks for it in "lib".


Could you release a fixed version with libarchitect.so in libs instead of lib?


Thanks


Hello Martin,

You can download our sample from github here https://github.com/Wikitude/wikitude-titanium.

Thanks
Eva

 

Thanks for the answer Eva. I dont see any sample app within the Titanium Module download.

However i dont think it will run on android. 

Will wait for your fix 

Thanks

Hello Martin,

We are already aware of this issue and we are doing some further investigations. What I would suggest for you as a solution is try and build our sample app.

Thanks
Eva

 

Hi,


Bump, no one to reply here?


Login or Signup to post a comment